Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.usage.deleteEvent("event_123");curl -X DELETE "https://api.priceos.com/v1/usage/event_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"deletedCount": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Usage
Delete Usage Event
Delete a usage event by ID.
DELETE
/
v1
/
usage
/
{id}
Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.usage.deleteEvent("event_123");curl -X DELETE "https://api.priceos.com/v1/usage/event_123" \
-H "x-api-key: PRICEOS_API_KEY"{
"deletedCount": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}